package com.hammurapi.reasoning.impl;

/**
 * Describes binding of condition argument.
 * @author Pavel Vlasov
 *
 */
public class ConditionArgument {
	
	private int parameterIndex;
	private String name;
	private Class<?> type;
	public int getParameterIndex() {
		return parameterIndex;
	}
	public void setParameterIndex(int parameterIndex) {
		this.parameterIndex = parameterIndex;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public Class<?> getType() {
		return type;
	}
	public void setType(Class<?> type) {
		this.type = type;
	}

}
